Subject: Re: Job | Hiring for "Customer Support Arabic Language" (Only Native Level Speaker can Apply)
From: Muzammil ali <[email-masked]>
To: [email-masked]
Date: Sat, 28 Sep 2019 20:31:09 +0530

Not able to view Details? Learn More

Job Title
Job | Hiring for "Customer Support Arabic Language" (Only Native Level Speaker can Apply)

37 Applicants

View All

Muzammil ali
I am Muzammil Ali.27 years old. I am a good English Arabic translator and teacher. I have 3 years experience In the related field. I'm searching the job to utilize my skills for the benefit of your institution. Thanks.

Shortlist

Reject

Current Designation English Arabic and V-V Translator and Teacher
Current Company Global Peace Organization
Notice Period 15 Days or less
Previous Designation English Arabic Translator
Previous Company Global Peace Organization

Contact Details
Mobile:

Exp
3 Yrs

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Saudi Arabia
Education
M.A
University Of Mumbai, Mumbai
Other
Jamia Milia Islamia (JMI)
Key Skills
arabic, arabic language expert, interpretation, translation, assistant professor, research, arabic english translation, arabic language expert, interpretation, translation, assistant professor, research, arabic english translation

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem